// Copyright (C) 2010-2011 - INRIA - Michael Baudin
//
// This file must be used under the terms of the GNU Lesser General Public License license :
// http://www.gnu.org/copyleft/lesser.html

function path = opustc_getpath ( )
    //   Returns the directory name for the OPUS test case module.
    //
    // Calling Sequence
    //   path = opustc_getpath ( )
    //
    // Parameters
    // path: a 1-by-1 matrix of strings, the path to the main directory of the module.
    //
    // Description
    //   This function is useful to retrieve data file which are 
    //   associated with one test case.
    //
    // Examples
    // path = opustc_getpath ( )
    //
    // Authors
    //   Michael Baudin, 2010-2011
    //

    [lhs, rhs] = argn()
    apifun_checkrhs ( "opustc_getpath" , rhs , 0 )
    apifun_checklhs ( "opustc_getpath" , lhs , 1 )


    path = get_function_path("opustc_getpath")
    path = fullpath(fullfile(fileparts(path),".."))
endfunction

